VS2015 lack of library
#1
Tool 
I am using vs2015 to work but some librarys were compiled in vs2013 only.
When I compiling any tutorial are acusing:
Quote:1>------ Rebuild All started: Project: hello_world_v1, Configuration: Debug Win32 ------
1>  hello_world.cpp
1>  hello_world_app.cpp
1>  Generating Code...
1>murl_engine.lib(murl_system_clib.obj) : error LNK2038: mismatch detected for '_MSC_VER': value '1800' doesn't match value '1900' in hello_world.obj
...
1>murl_3rd_party.lib(ralloc.obj) : error LNK2019: unresolved external symbol __vscprintf referenced in function _printf_length
1>..\..\..\binaries\win32\vs2015\Debug\hello_world_v1.exe : fatal error LNK1120: 15 unresolved externals
========== Rebuild All: 0 succeeded, 1 failed, 0 skipped ==========
✠ nnDnn ✠ The peace of Christ! ✠ nnDnn ✠
Reply
#2
Apost 
Hello Flávio,

sorry to keep you waiting.

The most recent build does not include the VS2015-specific binaries yet, we are planning to include these in the next update.
However, if you are in really desparate need of them, we can provide a separate download archive with up-to-date VS2015 binaries beginning of next week.

In the meantime, if you have any chance to install a previous VS version (2013 or 2010), you may also use the VS2015 IDE to work with that previous compiler toolchain by changing the project toolset option in your application project as described here (at the bottom of the page):

https://msdn.microsoft.com/en-us/library/ff770576.aspx

Hope that helps. Feel free to contact us again if you have any further questions.
Reply
#3
Apost 
Thank you for your response Dizzy.
I'll wait for the next update, do not worry.
Thanks again for the help! Smile

(20 Nov 2015, 21:46)dizzy Wrote: Hello Flávio,

sorry to keep you waiting.

The most recent build does not include the VS2015-specific binaries yet, we are planning to include these in the next update.
However, if you are in really desparate need of them, we can provide a separate download archive with up-to-date VS2015 binaries beginning of next week.

In the meantime, if you have any chance to install a previous VS version (2013 or 2010), you may also use the VS2015 IDE to work with that previous compiler toolchain by changing the project toolset option in your application project as described here (at the bottom of the page):

https://msdn.microsoft.com/en-us/library/ff770576.aspx

Hope that helps. Feel free to contact us again if you have any further questions.
✠ nnDnn ✠ The peace of Christ! ✠ nnDnn ✠
Reply


Forum Jump:


Copyright © 2011-2017 Spraylight GmbH.